javax.swing

## Interface Renderer

-     public interface Renderer

  Defines the requirements for an object responsible for "rendering" (displaying) a value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getComponent()` Returns the component used to render the value.
    `void` | `setValue(Object aValue, boolean isSelected)` Specifies the value to display and whether or not the value should be portrayed as "currently selected".

- - ### Method Detail

    - #### setValue

          void setValue(Object aValue,
                        boolean isSelected)

      Specifies the value to display and whether or not the value should be portrayed as "currently selected".
      Parameters:
        `aValue` - an Object object
        `isSelected` - a boolean

    - #### getComponent

          Component getComponent()

      Returns the component used to render the value.
      Returns:
        the Component responsible for displaying the value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.